package net.northking.cctp.executePlan.dto.planTask;

import java.io.Serializable;
import java.util.List;

/**
 * <p>Title: DevicePerInfoDataDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/10/8 17:37
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class DevicePerInfoDataDto implements Serializable {
    /**
     * cpu使用数据 %
     */
    private List<Double> cpuList;
    /**
     * 内存使用数据 G
     */
    private List<Double> memoList;
    /**
     * 流量使用数据 M
     */
    private List<Double> flowList;
    /**
     * 电池温度数据
     */
    private List<Double> temperatureList;

    public List<Double> getCpuList() {
        return cpuList;
    }

    public void setCpuList(List<Double> cpuList) {
        this.cpuList = cpuList;
    }

    public List<Double> getMemoList() {
        return memoList;
    }

    public void setMemoList(List<Double> memoList) {
        this.memoList = memoList;
    }

    public List<Double> getFlowList() {
        return flowList;
    }

    public void setFlowList(List<Double> flowList) {
        this.flowList = flowList;
    }

    public List<Double> getTemperatureList() {
        return temperatureList;
    }

    public void setTemperatureList(List<Double> temperatureList) {
        this.temperatureList = temperatureList;
    }
}
